/*
 * Copyright (C) The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androiddualcamerawrapper;

import anywheresoftware.b4a.AbsObjectWrapper;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BA.Author;
import anywheresoftware.b4a.BA.Hide;
import anywheresoftware.b4a.BA.Pixel;
import anywheresoftware.b4a.BA.ShortName;
import anywheresoftware.b4a.BA.Version;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.BA.DependsOn;
import anywheresoftware.b4a.keywords.Common.DesignerCustomView;
import anywheresoftware.b4a.objects.LabelWrapper;
import anywheresoftware.b4a.objects.PanelWrapper;
import anywheresoftware.b4a.objects.ViewWrapper;
import anywheresoftware.b4a.BA.ActivityObject;
import anywheresoftware.b4a.BA.Events;
import anywheresoftware.b4a.IOnActivityResult;
import anywheresoftware.b4a.BA.Permissions;

import android.content.Intent;
import android.os.Bundle;
import android.app.Activity;
import android.util.Log;
import android.view.View;
import android.widget.CompoundButton;
import android.widget.TextView;
import android.graphics.Color;

import com.jwetherell.quick_response_code.R;

import com.jwetherell.quick_response_code.CaptureActivity;


@ActivityObject
@ShortName("AndroidQuickResponseCode")
//@Events(values={"scan_result(data As String, format As Int)"})
@Author("Github: Justin Wetherell, Wrapped by: Johan Schoeman")
@Version(1.00f)
@DependsOn(values={"core-3.2.2-20150819.125554-1"})
@Permissions(values={"android.permission.CAMERA","android.permission.WRITE_EXTERNAL_STORAGE","android.hardware.camera","android.hardware.camera.autofocus","android.permission.VIBRATE","android.permission.FLASHLIGHT"})

public class aQrcWrapper extends AbsObjectWrapper<CaptureActivity> {

	
	@Hide
	public static BA ba;
	@Hide
	public static String eventName;

	private static CaptureActivity cv;

	private IOnActivityResult ion;
	
	
	
	Intent izx;
	
	public void Initialize(BA paramBA, String paramString) {
	    eventName = paramString.toLowerCase(BA.cul);
	    ba = paramBA;

	    CaptureActivity cv = new CaptureActivity();
	    String str = paramString.toLowerCase(BA.cul);
	
	    setObject(cv);
		izx = new Intent(BA.applicationContext, CaptureActivity.class);	

		
	}	

    private static final String AutoFocus = "AutoFocus";
    private static final String UseFlash = "UseFlash";
    private static final String BarcodeObject = "Barcode";	
	
    /**
     * Called when a view has been clicked.
     *
     * @param v The view that was clicked.
     */
	 


     public void BeginScan() {
    
		ion = new IOnActivityResult() {
			
			@Override
			public void ResultArrived(int arg0, Intent data) {
				
				StopScan();
                if (data != null) {
				

					if (ba.subExists(eventName + "_scan_result")) {
                        //ba.raiseEvent2(ba, false, eventName + "_scan_result", true, new Object[]{barcode.displayValue.toString(), barcode.format});
						//ba.raiseEventFromDifferentThread(this, null, 0, eventName + "_scan_result", true, new Object[]{barcode.displayValue.toString(), barcode.format});
					}	
 					
                    					
                } else {
					StopScan();
                    //statusMessage.setText("No barcode captured");
                    //Log.d(TAG, "No barcode captured, intent data is null");
                }

			}
		};
		ba.startActivityForResult(ion, izx);

	}
	
	
	/**
     * Stop the barcode scanner
     */		
	private void StopScan() {

        Intent intent = ba.activity.getIntent();
        ba.activity.finish();
        //ba.activity.startActivity(intent);

	}	
	
	@Hide
	public static String statusViewText = "Place a barcode within the scanning rectangle to scan it";
	public void setStatusViewText(String statusViewText) {
		this.statusViewText = statusViewText;
	}
	
	@Hide
	public static int statusViewTextSize = 10;
	public void setStatusViewTextSize(int statusViewTextSize) {
		this.statusViewTextSize = statusViewTextSize;
	}	
	
	@Hide
	public static int statusViewTextColor = 0xffff0000;
	public void setStatusViewTextColor(int statusViewTextColor) {
		this.statusViewTextColor = statusViewTextColor;
	}		
	
	@Hide
	public static int laserColor = 0xffff0000;
	public void setLaserColor(int laserColor) {
		this.laserColor = laserColor;
	}		

	@Hide
	public static int possibleResultPointColor = 0xffff0000;
	public void setPossibleResultPointColor(int possibleResultPointColor) {
		this.possibleResultPointColor = possibleResultPointColor;
	}	

	@Hide
	public static int possibleResultPointSize = 6;
	public void setPossibleResultPointSize(int possibleResultPointSize) {
		this.possibleResultPointSize = possibleResultPointSize;
	}	

	
 	@Hide
	public static int frameColor = 0xff0000ff;
	public void setViewfinderFrameColor(int frameColor) {
		this.frameColor = frameColor;
	}			
 
 	@Hide
	public static int maskColor = 0x6600ffff;
	public void setMaskColor(int maskColor) {
		this.maskColor = maskColor;
	}	
	
	
	public static int CAMERA_FRONT = 1;
	public static int CAMERA_BACK = 0;
 	@Hide
	public static int cameraToUse = 0;
	public void setCameraToUse(int cameraToUse) {
		this.cameraToUse = cameraToUse;
	}	

	
 

}
